eth_sendRawTransaction - opBNB
Example code for the eth_sendRawTransaction JSON-RPC method. Сomplete guide on how to use eth_sendRawTransaction JSON-RPC in GetBlock.io Web3 documentation.
This method broadcasts a signed transaction to the opBNB network for execution. It is the primary method for submitting any state-changing operation — BNB transfers, ERC-20 transfers, smart contract calls, and contract deployments.
Parameters
signedTxData
string
Yes
The signed transaction data (hex), produced offline by a signer such as ethers.js, viem, or web3.py
Request Example
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_sendRawTransaction",
"params": [
"0xf86c808504a817c80082520894d85498dbeaeb1df24be52eed4f52eac2fbd56245880de0b6b3a76400008025a04f3a1c..."
],
"id": "getblock.io"
}'import axios from 'axios';
const data = JSON.stringify({
"jsonrpc": "2.0",
"method": "eth_sendRawTransaction",
"params": [
"0xf86c808504a817c80082520894d85498dbeaeb1df24be52eed4f52eac2fbd56245880de0b6b3a76400008025a04f3a1c..."
],
"id": "getblock.io"
});
const config = {
method: 'post',
url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers: {
'Content-Type': 'application/json'
},
data: data
};
axios(config)
.then(response => console.log(JSON.stringify(response.data, null, 2)))
.catch(error => console.log(error));Response Example
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"
}Response Parameters
result
string
Transaction hash, used to track inclusion via eth_getTransactionReceipt
Use Cases
Send BNB transfers
Execute BEP-20 token transfers
Interact with DeFi protocols
Deploy smart contracts
Execute swaps on opBNB DEXes
Error Handling
403
Forbidden
Missing or invalid <ACCESS-TOKEN>
-32602
Invalid params
Request parameters are missing or malformed
-32601
Method not found
The method is not supported by this node
429
Too Many Requests
Rate limit exceeded for your plan
-32000
Insufficient funds for gas
Sender does not have enough BNB to pay gas + value
-32000
Nonce too low
The transaction's nonce has already been used
-32000
Replacement transaction underpriced
Replacement transaction must offer a higher gas price
SDK Integration
Last updated
Was this helpful?